Bug 51590 - Multiple Owned Files
Summary: Multiple Owned Files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 51582
TreeView+ depends on / blocked
 
Reported: 2001-08-12 19:27 UTC by Peter Bowen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-19 22:58:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch to fix bug (1005 bytes, patch)
2001-08-18 03:59 UTC, Peter Bowen
no flags Details | Diff
Oops, wrong version of the patch. Corrected version. (1.00 KB, patch)
2001-08-18 04:05 UTC, Peter Bowen
no flags Details | Diff

Description Peter Bowen 2001-08-12 19:27:11 UTC
Both ImageMagick-devel and ImageMagick-c++-devel own these files.  It
appears that only the c++ devel package should own them.

/usr/X11R6/include/X11/magick/Magick++.h (only ['ImageMagick-devel'] should
own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Blob.h (only ['ImageMagick-devel']
should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Coder.h (only ['ImageMagick-devel']
should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Color.h (only ['ImageMagick-devel']
should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Drawable.h (only
['ImageMagick-devel'] should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Exception.h (only
['ImageMagick-devel'] should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Functions.h (only
['ImageMagick-devel'] should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Geometry.h (only
['ImageMagick-devel'] should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Image.h (only ['ImageMagick-devel']
should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Include.h (only
['ImageMagick-devel'] should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Montage.h (only
['ImageMagick-devel'] should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Options.h (only
['ImageMagick-devel'] should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Pixels.h (only ['ImageMagick-devel']
should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/STL.h (only ['ImageMagick-devel']
should own it, but ['ImageMagick-c++-devel'] also does)
/usr/X11R6/include/X11/magick/Magick++/Thread.h (only ['ImageMagick-devel']
should own it, but ['ImageMagick-c++-devel'] also does)

Comment 1 Bernhard Rosenkraenzer 2001-08-15 15:11:29 UTC
You got it the wrong way around - actually only ImageMagick-C++-devel should 
own those files. ;)


Comment 2 Peter Bowen 2001-08-15 15:18:31 UTC
Well, my comments conflicted with the pasted file list.  Trust my comments.  The
script I attached to Bug #51582 generated the file list and automatically
handles dependencies to try to figure out who should own duplicate files.  It
doesn't always get things right.

But, yes, you are correct.  Now stop yakking and fix it :)

Comment 3 Peter Bowen 2001-08-18 03:59:29 UTC
Created attachment 28379 [details]
spec file patch to fix bug

Comment 4 Peter Bowen 2001-08-18 04:05:32 UTC
Created attachment 28380 [details]
Oops, wrong version of the patch.  Corrected version.

Comment 5 Bernhard Rosenkraenzer 2001-08-20 12:25:43 UTC
Fixed in 5.3.8-2



Note You need to log in before you can comment on or make changes to this bug.